#
# spec file for package rssguard
#

Name:           rssguard
Version:        3.5.9
Release:        %mkrel 1
Summary:        RSS/ATOM/RDF feed reader
License:        GPL-3.0-only AND AGPL-3.0-or-later
Group:          Networking/News
Url:            https://github.com/martinrotter/rssguard
Source0:        https://github.com/martinrotter/rssguard/archive/%{version}.tar.gz#/%{name}-%{version}.tar.xz
Patch0:         rssguard-3.5.2-fix_no_return_nonvoid.patch

BuildRequires:  lib64qt5core-devel
BuildRequires:  lib64qt5webengine-devel

Requires:  qtwebengine5
Requires:  qttools5

%description
RSS Guard is a RSS/ATOM feed aggregator developed using the Qt framework.
It supports online feed synchronization.

%prep
%setup -q
%patch0 -p1
chmod -x resources/desktop/com.github.rssguard.appdata.xml

%build
mkdir build && cd build
lrelease-qt5 ../rssguard.pro
qmake-qt5 ../rssguard.pro -r PREFIX=%{_prefix}
%make_build

%install
cd build
%make_install INSTALL_ROOT=%{buildroot}
chmod 0755 %{buildroot}/%{_bindir}/%{name}

%files
%doc LICENSE.md
%{_bindir}/rssguard
%{_datadir}/applications/com.github.rssguard.desktop
%{_datadir}/icons/hicolor/512x512/apps/rssguard.png
%{_datadir}/metainfo/com.github.rssguard.appdata.xml

%changelog
* Thu Jun  6 2019 tex - 3.5.9-1pclos2019
- new
